var locale = 'en';
var url = 'https://app.puzzley.ir';
var online = true,
    show_ad = true,
    isDevice = false,
    check = false,
    phone_id = '',
    default_access_page = [];

var ngApp = angular.module('ngApp', ['ionic', 'ngResource', 'ngApp.controllers', 'ngApp.services' , 'ionic-datepicker'])
    .run(function($ionicPlatform, $rootScope, $ionicLoading, $ionicHistory, $ionicPopup, $state ) {
        $rootScope.$on('loading:show', function() {
            $ionicLoading.show({
                noBackdrop: true
            });
        });

        $rootScope.$on('loading:hide', function() {
            $ionicLoading.hide();
        });

        $rootScope.dataTapStatus = false;

        $ionicPlatform.ready(function() {
            /*Auth.init();*/
                    });

        $rootScope.backButtonPressedOnceToExit = false;
        $ionicPlatform.registerBackButtonAction(function(e) {
            if ($rootScope.backButtonPressedOnceToExit) {
                ionic.Platform.exitApp();
            } else if ($ionicHistory.backView()) {
                $ionicHistory.goBack();
            } else if (hasHome && window.location.hash != homeHash) {
                $ionicHistory.nextViewOptions({
                    disableBack: true
                });
                window.location.hash = homeHash;
            } else {
                $rootScope.backButtonPressedOnceToExit = true;
                window.plugins.toast.showWithOptions({
                    message: "برای خروج دوباره کلیک کنید",
                    duration: "short",
                    position: "bottom",
                    addPixelsY: -50
                });
                setTimeout(function() {
                    $rootScope.backButtonPressedOnceToExit = false;
                }, 2500);
            }
            e.preventDefault();
            return false;
        }, 101);

        
            })

    .config(function($stateProvider, $locationProvider, $urlRouterProvider, $ionicConfigProvider, $httpProvider) {

                    $ionicConfigProvider.scrolling.jsScrolling(false);
            $ionicConfigProvider.views.transition('none');
        
        $ionicConfigProvider.templates.maxPrefetch(0);
        $ionicConfigProvider.backButton.previousTitleText(false).text('');
        $ionicConfigProvider.navBar.positionSecondaryButtons('right');
        $ionicConfigProvider.navBar.positionPrimaryButtons('left');

        $httpProvider.interceptors.push(function($rootScope, $q) {
            return {
                /* http request show loading */
                request: function(config) {
                    if (typeof config.noLoading == "undefined" || config.noLoading != true) {
                        $rootScope.$broadcast('loading:show');
                    }
                    return config
                },
                /* Hide loading in case any occurred */
                requestError: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return response
                },
                /* Hide loading once got response */
                response: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return response
                },
                /* Hide loading if got any response error  */
                responseError: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return $q.reject(response);
                }
            }
        });

        
        $ionicConfigProvider.navBar.alignTitle('center');

        $stateProvider
            .state('nav', {
                url: '/nav',
                abstract: true,
                templateUrl: 'nav.html',
                controller: 'NavCtrl',
                secured: 0,
                pageid: 1
            })
            .state('nav.widget1', {
                url: '/widget/:widget/:func/:sl/:id',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.widget2', {
                url: '/widget/:widget/:func/:sl/:id/:extra',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id + '/' + params.extra;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.puzzleyPage', {
                url: "/puzzleyPage",
                views: {
                    'mainContent': {
                        template: '<ion-view title="پازلی"><ion-content padding="true" class="aboutus "><img src="https://app.puzzley.ir/assets/images/puzzley.jpg" class="full-image"> <div class="transparent"><p><span style="text-align: start;">با پازلی می&zwnj;تونید بدون هیچ دانشی از طراحی نرم</span><span style="text-align: start;">افزار، یک اپلیکیشن موبایل برای خودتون بسازید. نرم&zwnj;افزاری که می&zwnj;تونه برای کسب</span><span style="text-align: start;">وکارتون یا حتی خودتون باشه.&nbsp;</span></p><p><span style="text-align: start;">تمام چیزی که نیاز دارید چند کلیک ساده است که هر کدوم شما را به داشتن یک نرم&zwnj;افزار اختصاصی روی موبایل یا تبلت&zwnj;تان نزدیک و نزدیک&zwnj;تر می&zwnj;کند.&nbsp;</span></p><p><span style="text-align: start;">مدیریت محتوا و تصاویر، خبرخوان، تبلیغات&zwnj; درون&zwnj;برنامه ای، پوش&zwnj;نوتیفیکیشن، پرداخت درون&zwnj;برنامه ای، فروشگاه&zwnj; فایل و فروشگاه تنها بخشی از قابلیت&zwnj;های اپلیکیشن نسبتا خفنی هستند که شما به دست میارید. ولی مهم&zwnj;تر و بهتر از همه این&zwnj;که ما به شما سرنخ میدیم که واقعا به چطور نرم&zwnj;</span><span style="text-align: start;">افزار و قابلیت&zwnj;هایی نیاز دارید.</span></p><p><span style="text-align: start;">پس اگه به دنبال ساخت اپلیکیشنتون، معرفی کسب&zwnj;و&zwnj;کارتون یا کسب درامد از اپلیکیشنتون هستید به ما سر بزنید! ما یک راه حل بدون برنامه&zwnj;نویسی بهتون ارائه می&zwnj;دیم!</span></p><p style="text-align: center; "><a href="https://puzzley.ir/?utm_source=apps&utm_medium=free&utm_term=softlaunch&utm_campaign=free%20apps"><img src="https://app.puzzley.ir/assets/images/puzzley-link.png" style="width: 150px;"></a></p> </div></ion-content></ion-view>'
                    }
                },
                secured: 0,
                pageid: 1
            })



             .state('nav.xn-wsdvd1b6a4cyg0yzoqneg', { url: '/xn-wsdvd1b6a4cyg0yzoqneg', cache: 'true', secured : 0, pageid : '1', views: { 'mainContent': { templateUrl: 'templates/xn-wsdvd1b6a4cyg0yzoqneg.html' } } })  .state('nav.xn-ctdbac4bek6a8qgacy66n1n', { url: '/xn-ctdbac4bek6a8qgacy66n1n', cache: 'true', secured : 0, pageid : '238515', views: { 'mainContent': { templateUrl: 'templates/xn-ctdbac4bek6a8qgacy66n1n.html' } } })  .state('nav.xn-xsdsd9awms2osaq62oga', { url: '/xn-xsdsd9awms2osaq62oga', cache: 'true', secured : 0, pageid : '275144', views: { 'mainContent': { templateUrl: 'templates/xn-xsdsd9awms2osaq62oga.html' } } })  .state('nav.xn-pmcnacav8c6jsa43d3p', { url: '/xn-pmcnacav8c6jsa43d3p', cache: 'true', secured : 0, pageid : '237797', views: { 'mainContent': { templateUrl: 'templates/xn-pmcnacav8c6jsa43d3p.html' } } })  .state('nav.xn-3yexadddo0cf6dye9ifl17oktga', { url: '/xn-3yexadddo0cf6dye9ifl17oktga', cache: 'true', secured : 0, pageid : '278148', views: { 'mainContent': { templateUrl: 'templates/xn-3yexadddo0cf6dye9ifl17oktga.html' } } })  .state('nav.xn-nzeb5dhl7loahn42e1sia46cbf', { url: '/xn-nzeb5dhl7loahn42e1sia46cbf', cache: 'true', secured : 0, pageid : '278146', views: { 'mainContent': { templateUrl: 'templates/xn-nzeb5dhl7loahn42e1sia46cbf.html' } } })  .state('nav.xn-pmcnap4co9htahh0b05l', { url: '/xn-pmcnap4co9htahh0b05l', cache: 'true', secured : 0, pageid : '279931', views: { 'mainContent': { templateUrl: 'templates/xn-pmcnap4co9htahh0b05l.html' } } })  .state('nav.xn-4yews0bndmnj4sj9bx1j', { url: '/xn-4yews0bndmnj4sj9bx1j', cache: 'true', secured : 0, pageid : '278149', views: { 'mainContent': { templateUrl: 'templates/xn-4yews0bndmnj4sj9bx1j.html' } } })  .state('nav.xn-4yexeog3eua7pci7a91p', { url: '/xn-4yexeog3eua7pci7a91p', cache: 'true', secured : 0, pageid : '282364', views: { 'mainContent': { templateUrl: 'templates/xn-4yexeog3eua7pci7a91p.html' } } })  .state('nav.xn-xsdrz9aedo2odd5a25pfah', { url: '/xn-xsdrz9aedo2odd5a25pfah', cache: 'true', secured : 0, pageid : '241777', views: { 'mainContent': { templateUrl: 'templates/xn-xsdrz9aedo2odd5a25pfah.html' } } })  .state('nav.xn-pgbdb0a1i', { url: '/xn-pgbdb0a1i', cache: 'true', secured : 0, pageid : '241788', views: { 'mainContent': { templateUrl: 'templates/xn-pgbdb0a1i.html' } } })  .state('nav.xn-4mcogdcjc09dnyb', { url: '/xn-4mcogdcjc09dnyb', cache: 'true', secured : 0, pageid : '300082', views: { 'mainContent': { templateUrl: 'templates/xn-4mcogdcjc09dnyb.html' } } })         
        
                    .state('nav.puzzleysearch', {
                url: '/puzzleysearch/:widgetslug/:search',
                cache: 'false',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return 'templates/' + params.widgetslug + '.html';
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
                ;
        $urlRouterProvider.otherwise('/nav/xn-wsdvd1b6a4cyg0yzoqneg');
    });

    var appsetting = (localStorage.app48021setting) ? JSON.parse(localStorage.app48021setting) : {};
    appsettingInit();

function saveSetting() {
    localStorage.app48021setting = JSON.stringify(appsetting)
}

document.addEventListener("online", function() {
    online = true;
}, false);
document.addEventListener("offline", function() {
    online = false;
}, false);
function isOnline() {
    return online;
}

var homeHash = "#/nav/xn-wsdvd1b6a4cyg0yzoqneg";
var hasHome = true;
/* iap message */

function checkapp() {
    if (!check) {
        check = true;
        $.get(url + '/api/v1/app/check-app/2v5a')
            .done(function(data) {
                if (typeof(data.active) != 'undefined' && data.active == 0) {
                    alert('این اپلیکیشن غیر فعال است.');
                    window.localStorage['active'] = 'notActive';
                    ionic.Platform.exitApp();
                } else if (typeof(data.active) != 'undefined' && data.active == 1) {
                    window.localStorage['active'] = true;
                }
            }).fail(function() {
                if (window.localStorage['active'] == 'notActive') {
                    alert('این اپلیکیشن غیر فعال است.');
                    ionic.Platform.exitApp();
                }
                check = false;
            });
    }
}
document.addEventListener("deviceready", function() {
    setTimeout(function() {
        if (window.localStorage['active'] == 'notActive') {
            alert('این اپلیکیشن غیر فعال است.');
            ionic.Platform.exitApp();
        }
    }, 10000);
    checkapp();
    document.addEventListener("online", function() {
        checkapp();
    }, false);
    isDevice = true;
});

